Search found 948 matches

Go to advanced search

by flachyjoe
Wed Jul 14, 2021 7:08 pm
Forum: Forum français
Topic: [Tuto] FreeCAD 0.20 : Création d'un roulement imprimable qui fonctionne
Replies: 15
Views: 873

Re: [Tuto] FreeCAD 0.20 : Création d'un roulement imprimable qui fonctionne

* Les rouleaux vont se toucher : c'est à dire ? Les rouleaux vont forcément se rencontrer quand ça va tourner, l'ensemble va au mieux frotter trop, au pire se bloquer. Il faut rajouter une cage pour tenir écarté les rouleaux. ;) En théorie les rouleau tournent tous à la même vitesse angulaire donc ...
by flachyjoe
Mon Jul 12, 2021 8:14 am
Forum: Forum français
Topic: Tronc de cone avec base ovale et sommet circulaire
Replies: 13
Views: 642

Re: Tronc de cone avec base ovale et sommet circulaire

Shalmeneser wrote: Sun Jul 11, 2021 9:31 pm Ouais, de l'archéologie là.
J'ai débarqué sur le forum à l'époque de l'apparition de la fonction Sweep dans l'atelier Part, un peu de respect pour les anciens STP :lol:
by flachyjoe
Sun Jul 11, 2021 9:23 pm
Forum: Forum français
Topic: Tronc de cone avec base ovale et sommet circulaire
Replies: 13
Views: 642

Re: Tronc de cone avec base ovale et sommet circulaire

I found a workaround for links to translated page that end with a language suffix (/fr, /de...) I created a new BBCode tag that automatically adds the suffix. For now I only created the "wikifr" tag. Typing [wikifr]Part Loft[/wikifr] Results in: Part Loft I doubt many people will use it, ...
by flachyjoe
Sun Jul 11, 2021 7:05 pm
Forum: Forum français
Topic: Tronc de cone avec base ovale et sommet circulaire
Replies: 13
Views: 642

Re: Tronc de cone avec base ovale et sommet circulaire

@Shalmeneser :
Pour info si tu changes la balise

Code: Select all

[wiki]
par

Code: Select all

[wikifr]
ça envoi sur la page en français.

PartDesign_AdditiveLoft/fr
PartDesign_AdditivePipe/fr
by flachyjoe
Sat Jul 10, 2021 5:27 pm
Forum: Python scripting and macros
Topic: In which property can I store a Rotation ?
Replies: 2
Views: 291

Re: In which property can I store a Rotation ?

I would say App::PropertyMatrix It's not usable in expressions, to set a placement for example. But as Placement.Rotation can't be set by expression (why?) I could store Rotation as Angle+Direction or in a Placement with zero position . Background explanation : I'm working on an object which expose...
by flachyjoe
Sat Jul 10, 2021 3:57 pm
Forum: Python scripting and macros
Topic: In which property can I store a Rotation ?
Replies: 2
Views: 291

In which property can I store a Rotation ?

Hi,
I can't find a property type to store an App.Rotation object.
App::PropertyRotation doesn't exist.
by flachyjoe
Fri Jul 09, 2021 8:41 am
Forum: Python scripting and macros
Topic: [Bug] even if the Group property is set readonly, dragging is allowed
Replies: 3
Views: 395

Re: [Bug] even if the Group property is set readonly, dragging is allowed

Thank you ickby for the clarification.

UI reacts anyway on read-only properties with removing of spin buttons and other three-dots ones and blocks text editing so it's disappointing to allow drag and drop.
by flachyjoe
Thu Jul 08, 2021 10:57 am
Forum: Python scripting and macros
Topic: [Bug] even if the Group property is set readonly, dragging is allowed
Replies: 3
Views: 395

[Bug] even if the Group property is set readonly, dragging is allowed

Hi, Context: class StaticGroup: def __init__(self, obj, children): obj.Proxy = self self.Type = "MyObject" self.children = children obj.Group = children obj.setPropertyStatus('Group', 'ReadOnly') obj = App.ActiveDocument.addObject('App::DocumentObjectGroupPython', 'MyStaticGroup') StaticGr...
by flachyjoe
Wed Jul 07, 2021 8:46 pm
Forum: Forum français
Topic: Sysmetrie dans un Sketch
Replies: 10
Views: 595

Re: Sysmetrie dans un Sketch

Salut, Je ne parviens pas a faire une symétrie (en vert) tangente sur les 2 premiers cercles et les "appliquer" au deux suivants ? C'est pas clair, c'est ça que tu veux faire (j'en ai profité pour simplifier les contraintes) ? Capture d’écran_2021-07-07_22-37-44.png contrainte_f360.FCStd I...
by flachyjoe
Tue Jul 06, 2021 11:27 am
Forum: Forum français
Topic: attachement
Replies: 72
Views: 5036

Re: attachement

david69 wrote: Tue Jul 06, 2021 11:25 am il y aurait bien aussi relier/lien.
Ah oui mais non :)
Le lien est déjà utilisé pour désigner l'apparition d'un même objet à plusieurs endroits.

Go to advanced search